Closed Bug 1442201 Opened 2 years ago Closed 2 years ago

[FTL] Update Fluent packages in Pontoon

Categories

(Webtools :: Pontoon, enhancement, P2)

enhancement

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: flod, Assigned: mathjazz)

Details

Attachments

(1 file)

The migration code used the new serializer in python-fluent, while Pontoon serializes file back using a slightly different formatting.

This will cause a back and forth of changes until we update Pontoon's packages
https://hg.mozilla.org/l10n-central/cy/diff/97dddbf680c5/browser/browser/preferences/preferences.ftl
Priority: -- → P2
Summary: Update Fluent packages in Pontoon → [FTL] Update Fluent packages in Pontoon
Stas, is there a tracker for the release of the new Fluent libraries we can block this bug on?
Flags: needinfo?(stas)
Assignee: nobody → m
(In reply to Matjaz Horvat [:mathjazz] from comment #1)
> Stas, is there a tracker for the release of the new Fluent libraries we can
> block this bug on?

No, there isn't. The development of Fluent libraries is tracked on Github. I expect that we'll want to talk about this during the upcoming workweek.

For this bug you'll want to upgrade to 0.6.4.
Flags: needinfo?(stas)
Commit pushed to master at https://github.com/mozilla/pontoon

https://github.com/mozilla/pontoon/commit/956cb27c6fa66dc8671e9d8a838966d74ca47489
Fix bug 1442201: Update Fluent libraries to 0.6.4 (#889)

Reason: make serializer consistent with the rest of Mozilla L10n stack
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.